Bug 447571 - yum --changelog prints empty changes section
yum --changelog prints empty changes section
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-utils (Show other bugs)
5.1
All Linux
medium Severity low
: rc
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 11:35 EDT by Milos Malik
Modified: 2014-01-21 01:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 15:38:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-05-20 11:35:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
yum does not print changelog when installing a new package, but it prints an empty section which starts with "Changes in packages about to be updated:".

Questions:
Does the package have a changelog?
Is it a bug in yum that the changelog is not printed?

Version-Release number of selected component (if applicable):
yum-3.2.8-9.el5_2.1

How reproducible:
Always


Steps to Reproduce:
1. install a new package
   # yum --changelog install wpa_supplicant-gui

2. upgrade an existing package
   # yum --changelog upgrade wpa_supplicant

Actual Results:
1. yum prints empty changes section

2. yum prints info about changes which were made between current and newer version of the package

Expected Results:
1. yum prints either the whole changelog of the package or completely omits printing the changes section (no message "Changes in packages about to be updated:")

2. yum prints info about changes which were made between current and newer version of the package

Additional info:
Comment 1 James Antill 2009-03-24 19:36:10 EDT
 This is recently fixed in upstream yum-utils, probably not going into RHEL until 5.5 or 5.6 though.
Comment 2 James Antill 2013-03-14 15:38:12 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.